Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.ui.client.adapters
Class ValueBoxEditor<T>

    java.lang.Object
      com.google.gwt.editor.client.adapters.TakesValueEditor<T>
          com.google.gwt.editor.ui.client.adapters.ValueBoxEditor<T>

Type Parameters:
  `T` - the type of value to be edited

All Implemented Interfaces:
  Editor<T>, HasEditorDelegate<T>, LeafValueEditor<T>, TakesValue<T>

    public class ValueBoxEditor<T>

extends TakesValueEditor<T>
implements HasEditorDelegate<T>

Adapts the `ValueBoxBase` interface to the Editor framework. This adapter uses `ValueBoxBase.getValueOrThrow()` to report parse errors to the Editor framework.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor
`Editor.Ignore, Editor.Path`

Constructor Summary
`protected` | `ValueBoxEditor(ValueBoxBase<T> peer)` Constructs a new ValueBoxEditor that adapts a `ValueBoxBase` peer instance.

Method Summary
`EditorDelegate<T>` | `getDelegate()` Returns the `EditorDelegate` for this instance.
`T` | `getValue()` Calls `ValueBoxBase.getValueOrThrow()`.
`static
`<T> ValueBoxEditor<T>`
` | `of(ValueBoxBase<T> valueBox)` Returns a new TakesValueEditor that adapts a `ValueBoxBase` instance.
`void` | `setDelegate(EditorDelegate<T> delegate)` Sets the `EditorDelegate` for this instance.
`void` | `setValue(T value)` Sets the value.

Methods inherited from class com.google.gwt.editor.client.adapters.TakesValueEditor
`of`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBoxEditor

    protected ValueBoxEditor(ValueBoxBase<T> peer)

  Constructs a new ValueBoxEditor that adapts a `ValueBoxBase` peer instance.

  Parameters:
    `peer` - a `ValueBoxBase` instance of type T

Method Detail

### of

    public static <T> ValueBoxEditor<T> of(ValueBoxBase<T> valueBox)

  Returns a new TakesValueEditor that adapts a `ValueBoxBase` instance.

  Parameters:
    `valueBox` - a `ValueBoxBase` instance to adapt
  Returns:
    a ValueBoxEditor instance of the same type as the adapted `ValueBoxBase` instance

### getDelegate

    public EditorDelegate<T> getDelegate()

  Returns the `EditorDelegate` for this instance.

  Returns:
    an `EditorDelegate`, or `null`
  See Also:
    `setDelegate(EditorDelegate)`

### getValue

    public T getValue()

  Calls `ValueBoxBase.getValueOrThrow()`. If a `ParseException` is thrown, it will be available through `EditorError.getUserData()`.

  Specified by:
    `getValue` in interface `TakesValue<T>`
  Overrides:
    `getValue` in class `TakesValueEditor<T>`
  Returns:
    a value of type T
  See Also:
    `setValue(Object)`

### setDelegate

    public void setDelegate(EditorDelegate<T> delegate)

  Sets the `EditorDelegate` for this instance. This method is only called by the driver.

  Specified by:
    `setDelegate` in interface `HasEditorDelegate<T>`
  Parameters:
    `delegate` - an `EditorDelegate`, or `null`
  See Also:
    `getDelegate()`

### setValue

    public void setValue(T value)

  Description copied from interface: `TakesValue`
  Sets the value.

  Specified by:
    `setValue` in interface `TakesValue<T>`
  Overrides:
    `setValue` in class `TakesValueEditor<T>`
  Parameters:
    `value` - a value object of type V
  See Also:
    `TakesValue.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD